import java.util.*;
import java.io.*;
import java.lang.*;

public class ActiveConsole {
	public static void main(String args[]) {

		if (args.length != 3) {
			System.out.println("Usage: java x10Controller <port> <address> <command>");
			System.out.println("  port: the serial port (i.e. COM1)");
			System.out.println("  address: the x10 address (i.e. A1)");
			System.out.println("  command: either ON, OFF, BRIGHT, or DIM");
			System.exit(0);
		}

		try {
			x10Device deskLamp = new x10Device(args[0], args[1]);

			if (args[2].toUpperCase().equals("ON"))
				deskLamp.on();
			else if (args[2].toUpperCase().equals("OFF"))
				deskLamp.off();
			else if (args[2].toUpperCase().equals("DIM"))
				deskLamp.dim();
			else if (args[2].toUpperCase().equals("BRIGHT"))
				deskLamp.bright();
			else if (args[2].toUpperCase().equals("TOGGLE"))
				deskLamp.toggle();
			else {
				System.out.println("  command: TOGGLE, ON, OFF, BRIGHT, or DIM");
				System.exit(0);
			}
		}
		catch (Exception e) {
			System.out.println(e.toString());
			System.exit(0);
		}
	}
}
